# Default values for meep-tm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

deployment:
  replicas: 1
  port: 80
  protocol: TCP
  dependencies:
    system:
      {{- if not .IsMepService }}
      - kube-dns
      {{- end }}
    namespace:

image:
  repository: meep-docker-registry:30001/meep-tm
  tag: latest
  pullPolicy: Always
  env:
    MEEP_INSTANCE_ID: {{.InstanceId}}
    MEEP_SANDBOX_NAME: {{.SandboxName}}
    MEEP_SVC_PATH: /bwm/v1
    MEEP_HOST_URL: {{.HostUrl}}
    {{- if .IsMepService }}
    MEEP_MEP_NAME: {{.MepName}}
    {{- end }}
    {{- if eq .AppEnablement "local" }}
    MEEP_APP_ENABLEMENT: {{.MepName}}-meep-app-enablement
    {{- else if eq .AppEnablement "global" }}
    MEEP_APP_ENABLEMENT: meep-app-enablement
    {{- end }}
    {{- range .Env}}
    {{.}}
    {{- end}}

service:
  {{- if .IsMepService }}
  name: {{.MepName}}-meep-tm
  {{- else }}
  name: meep-tm
  {{- end }}
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  hosts:
    - name: ''
      paths:
        {{- if .IsMepService }}
        - /{{.SandboxName}}/{{.MepName}}/bwm
        - /{{.SandboxName}}/{{.MepName}}/mts
        {{- else }}
        - /{{.SandboxName}}/bwm
        - /{{.SandboxName}}/mts
        {{- end }}
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/proxy-read-timeout: "3600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "3600"
    nginx.ingress.kubernetes.io/force-ssl-redirect: {{ .HttpsOnly }}
    {{- if .IsMepService }}
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^/{{ .SandboxName }}/{{.MepName}}/bwm(/|$)(.*)$ /bwm/$2 break;
      rewrite ^/{{ .SandboxName }}/{{.MepName}}/mts(/|$)(.*)$ /mts/$2 break;
    {{- else }}
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^/{{ .SandboxName }}/bwm(/|$)(.*)$ /bwm/$2 break;
      rewrite ^/{{ .SandboxName }}/mts(/|$)(.*)$ /mts/$2 break;
    {{- end }}
    {{- if .AuthEnabled }}
    nginx.ingress.kubernetes.io/auth-url: https://$http_host/auth/v1/authenticate?svc=meep-tm&sbox={{.SandboxName}}&mep={{.MepName}}
    {{- end }}
  labels: {}
  tls:

prometheus:
  monitor:
    enabled: true
    port: 9000
    interval: 10s
    additionalLabels: {}
    relabelings: []
    scrapeTimeout: 5s
    
codecov:
  enabled: false

meepOrigin: core
